
NNTPGrab - Feature # 2: Qt frontend

Status: Closed Priority: Normal

Author: Alguno Category: Qt GUI (regular GUI)

Created: 05/13/2010 Assigned to: Alguno

Updated: 12/05/2010 Due date:

Subject: Qt frontend

Description: The current NNTPGrab GUI is created using GTK+.


While GTK+ works fine on Linux, support on Windows and Mac OS X is incomplete and/or broken.





The Qt toolkit works similar to GTK+, but has very good support on Windows and Mac OS X.


In addition to the GTK+ based GUI, a Qt based GUI should be created.





A Qt based version of the NNTPGrab Server gui was already introduced in version 0.6

History

05/13/2010 06:04 pm - admin

- Tracker changed from Bug to Feature

05/22/2010 02:36 pm - Alguno

- Assigned to set to Alguno

05/24/2010 02:00 pm - Alguno

- Target version changed from 30 to 0.7.0

05/24/2010 02:05 pm - Alguno

- % Done changed from 0 to 20

06/28/2010 12:25 am - Alguno

- % Done changed from 20 to 40

06/28/2010 12:26 am - Alguno

As of today, snapshots containing the Qt frontend are published at http://snapshots.nntpgrab.nl

08/19/2010 08:22 pm - Alguno

- % Done changed from 40 to 70

11/08/2010 10:44 pm - Alguno

- Category set to Qt GUI (regular GUI)

- % Done changed from 70 to 90

The following things are left to be done in the Qt frontend:


- Add support for automatic shutdown


- Hide/show columns in the download queue tab (depending on the configuration settings)


- Hide inactive connections (depending on the configuration settings)

12/05/2010 10:17 pm - Alguno

- Status changed from New to Closed

All features are now implemented in the Qt frontend and it has become the default frontend for Win32, Win64 and Mac OS X environments as of 

NNTPGrab 0.6.91
